//
// N.Poleshchuk, Chapter 05\Book16\Splash16.cpp
// In the book "AutoCAD: Application Development, Tuning and Customization"
// (BHV-Petersburg Publishing House. Russia, 2006)
// http://poleshchuk.spb.ru/cad/eng.html
//
#include "StdAfx.h"
#include "Splash16.h"

using namespace System::Drawing;
using namespace System::Windows::Forms;
using namespace Autodesk::AutoCAD::ApplicationServices;

void splash16()
{
	Wform16* pwf = new Wform16();
	Autodesk::AutoCAD::ApplicationServices::Application::
		ShowModelessDialog(pwf);
}

Wform16::Wform16()
{
	// Dialog box parameters
	Size = System::Drawing::Size(370, 300);
	StartPosition = FormStartPosition::Manual;
	Location = Point(300, 150);
	BackColor = Color::Aquamarine;
	Opacity = 0.5;
	FormBorderStyle = FormBorderStyle::None;

	// Font
	FontFamily *pFf = new FontFamily("Arial");
	System::Drawing::Font *pFont = new System::Drawing::Font(pFf, 36, FontStyle::Bold);

	// Text in the middle of the window
	Label *pTxt1 = new Label();
	pTxt1->Text = S"Book16";
	pTxt1->Location = Point(90, 120);
	pTxt1->AutoSize = true;
	pTxt1->ForeColor = Color::Black;
	pTxt1->Font = pFont;
	Controls->Add(pTxt1);

	// Handller of the Click event for the form
	this->Click += new EventHandler(this, &Wform16::OnClick);

	// Timer creation
	System::Windows::Forms::Timer *tm = new Timer();
	tm->Interval = 5000; // Signal interval
	tm->Tick += new EventHandler(this, &Wform16::OnTimerTick);
	tm->Enabled = true;
}

void Wform16::OnClick(Object *sender, System::EventArgs *e)
{
	// by click close the window
	Wform16::Close();
}

// Reaction to the first (and the last) timer signal
void Wform16::OnTimerTick(Object *sender, System::EventArgs *ea)
{
	System::Windows::Forms::Timer *t1 = 
		static_cast<System::Windows::Forms::Timer*> (sender);
	// Timer stop
	t1->Stop();
	// Close the window after the first signal
	Wform16::Close();
}